Kako promeniti .NET Framework kompatibilnost u C#?

Kako promeniti .NET Framework kompatibilnost u C#?

offline
  • Pridružio: 19 Dec 2010
  • Poruke: 1105
  • Gde živiš: Beograd

Pozdrav,
Zanima me kako da namestim u C#-u da projekat kojeg napravim bude kompatibilan na racunarima na kojima nije instaliran .NET Framework 4?
Imam C# Express 2010, ali on po default-u stavlja verziju 4, tako da se na racunarima sa ranijim verzijama program kojeg napravim ne moze pokrenuti?
Nadam se da sam bio jasan.

Hvala.



Registruj se da bi učestvovao u diskusiji. Registrovanim korisnicima se NE prikazuju reklame unutar poruka.
offline
  • Pridružio: 26 Okt 2008
  • Poruke: 1560
  • Gde živiš: Sremski Mihaljevci

imas u opcijama kada kreiras projekad da odaberes hoces da koristis net 2.0, 3.5...



offline
  • Pridružio: 19 Dec 2010
  • Poruke: 1105
  • Gde živiš: Beograd

Nemam, jer je ovo Express verzija.

offline
  • Pridružio: 14 Feb 2008
  • Poruke: 12321

Project > Properties > Compile > Advanced Compile Options > Target Framework, trebalo bi da je tako za sve verzije VS-a počevši od 2008 Verzije.

offline
  • Pridružio: 19 Dec 2010
  • Poruke: 1105
  • Gde živiš: Beograd

Hvala lepo Smile

offline
  • Pridružio: 14 Feb 2008
  • Poruke: 12321

Nema na čemu, izvini samo nešto da dodam :
Najpoželjnije je da promeniš .NET okruženje koje ćeš koristiti u programu pre nego što počneš da radiš jer kasnije, ako recimo radiš u 4.0 Aplikaciju i želiš da prebaciš na 3.5 imaćeš ogromnih problema i možda će biti nemoguće da konvertuješ nazad pa ćeš morati da počneš od nule projekat u 3.5.

Ko je trenutno na forumu
 

Ukupno su 412 korisnika na forumu :: 3 registrovanih, 0 sakrivenih i 409 gosta   ::   [ Administrator ] [ Supermoderator ] [ Moderator ] :: Detaljnije

Najviše korisnika na forumu ikad bilo je 3466 - dana 01 Jun 2021 17:07

Korisnici koji su trenutno na forumu:
Korisnici trenutno na forumu: amaterSRB, kaptain, sasa76